Quota

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET

List all quota limits

Return the current quota-limit state for the team identified in the URL, keyed by QuotaResource value. Used by the LLM gateway to gate billable products on AI credits exhaustion.

Required API key scopes

project:read

Example request

GET /api/projects/:project_id/quota_limits
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/quota_limits/

Example response

Status 200
RESPONSE
{
"limited": {
"property1": {
"limited": true
},
"property2": {
"limited": true
}
}
}

List all quota limits

Return the current quota-limit state for the team identified in the URL, keyed by QuotaResource value. Used by the LLM gateway to gate billable products on AI credits exhaustion.

Required API key scopes

project:read

Example request

GET /api/projects/:project_id/quota_limits
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/quota_limits/

Example response

Status 200
RESPONSE
{
"limited": {
"property1": {
"limited": true
},
"property2": {
"limited": true
}
}
}

Community questions

Questions about this page? or post a community question.